httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dan Jacobowitz <d...@false.org>
Subject Re: cvs commit: apache-1.3/src/modules/standard mod_auth_db.module mod_auth_db.c
Date Mon, 21 Sep 1998 17:21:24 GMT
On Mon, Sep 21, 1998 at 12:39:43PM -0400, Jim Jagielski wrote:
> Yeah... I'll have to look. Someone said that with db2, the db1 functions
> are actually wrappers for the db2 ones and this appears to be the case.
> In this case, even using the db1 function calls, the underlaying database
> still uses the db2 format. So it's not only knowing which function to
> use, but whether it's a wrapper or not, which is way complex :(
> 
> > > Dean Gaudet wrote:
> > > > Even if db 2.0 is installed, use db 1.85.

Alas, this is the case.  If db2 exists in either libc or libdb, then
the db1 functions will be only wrappers for versions of the db2 calls
with defaults for the new options.  The only way to obtain db1
compatibility would basically be to ship db1 with apache - and that I
think would be just TOO hideous a hack.

Dan

Mime
View raw message